JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
const flow = await client.workflows.flows.retrieve('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e');
console.log(flow.data);import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
flow = client.workflows.flows.retrieve(
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(flow.data)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/droidrun-cloud-go"
"github.com/stainless-sdks/droidrun-cloud-go/option"
)
func main() {
client := mobileruncloud.NewClient(
option.WithAPIKey("My API Key"),
)
flow, err := client.Workflows.Flows.Get(context.TODO(), "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", flow.Data)
}mobilerun-cloud workflows:flows retrieve \
--api-key 'My API Key' \
--flow-id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26ecurl --request GET \
--url https://api.mobilerun.ai/flows/{flowId} \
--header 'Authorization: Bearer <token>'
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ownerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"triggerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"enabled": true,
"deviceIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"cooldownSeconds": 123,
"notifyWebhookId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"notifyOnSuccess": true,
"notifyOnFailure": true,
"lastTriggeredAt": "<string>",
"consecutiveFailures": 1,
"lastFailureAt": "<string>",
"blockedAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}
}{
"error": "<string>"
}Flows
Get a flow
Fetch a single flow by its ID, including its trigger binding, configuration, and current status. Returns 404 if no flow matches.
GET
/
flows
/
{flowId}
JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
const flow = await client.workflows.flows.retrieve('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e');
console.log(flow.data);import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
flow = client.workflows.flows.retrieve(
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(flow.data)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/droidrun-cloud-go"
"github.com/stainless-sdks/droidrun-cloud-go/option"
)
func main() {
client := mobileruncloud.NewClient(
option.WithAPIKey("My API Key"),
)
flow, err := client.Workflows.Flows.Get(context.TODO(), "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", flow.Data)
}mobilerun-cloud workflows:flows retrieve \
--api-key 'My API Key' \
--flow-id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26eWas this page helpful?
⌘I